Subject: Re: CCL:Dual Xeon G98 Summary

From: "Pablo Vitoria" <qibvigap..at..lg.ehu.es>
Date: Thu, 6 Nov 2003 18:34:49 +0100

Dear Dave,

I am sorry I didn't answer before, I guess I missed your previos message.

The command  "echo "356515840" >/proc/sys/kernel/shmmax" is fine and it works, but you will have to enter it after every restart of the computer. In Mandrake (that's what I use, but I guess is the same in other distros) I would add a line like:

kernel.shmmax=356515840

to the file /etc/sysctl.conf, so that it's read at every restart of the machine.

Best regards

Pablo
--------------------------------------------------------
Pablo Vitoria Garcia
Dpto. Química Inorgánica, Facultad de Ciencias
Universidad del País Vasco (UPV/EHU)
Aptdo. 644
48080 Bilbao (Bizkaia)

Tfno. 94 6015992
Fax. 94 4648500
  ----- Original Message ----- 
  From: Close, David M. 
  To: chemistry..at..ccl.net 
  Sent: Thursday, November 06, 2003 1:32 AM
  Subject: CCL:Dual Xeon G98 Summary

    CCL'ers:

      Thanks so much for the quick replies.  I have the system working now.

    Some who wrote me asked questions like, Was I logged in as root?, and did I have the SMP Kernel loaded?

    Also some thought that LINDA was needed to run 2 processors on a "parallel" job.  This is not the case however.

    The answer was simply to balance the "bytes" read into shmmax with the %mem= line in the input file.

    So for my 512 Mb total memory and 2 processors, the suggestion was to put 2/3 of available memory as shared memory.  So 340 Mb is 356515840 bytes.

    This is done with echo "356515840" >/proc/sys/kernel/shmmax.

    I ran a test job of an OPT on the N1-H deprotonated cytosine cation with B3LYP/6-31+G(d) which took 3 hours and 18 minutes with a single processor and 1 hour 51 minutes with %Nproc=2. That's 1.78 times faster.

    I thank everyone who help out with this.

    Regards, Dave Close.